| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.EXT.PixelTransform

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the EXT_pixel_transform extension, see http://www.opengl.org/registry/specs/EXT/pixel_transform.txt.
Synopsis

glPixelTransformParameteri :: GLenum -> GLenum -> GLint -> IO ()
glPixelTransformParameterf :: GLenum -> GLenum -> GLfloat -> IO ()
glPixelTransformParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()
glPixelTransformParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
glGetPixelTransformParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()
glGetPixelTransformParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
gl_PIXEL_MAG_FILTER :: GLenum
gl_PIXEL_MIN_FILTER :: GLenum
gl_PIXEL_CUBIC_WEIGHT :: GLenum
gl_CUBIC :: GLenum
gl_AVERAGE :: GLenum
gl_PIXEL_TRANSFORM_2D :: GLenum
gl_PIXEL_TRANSFORM_2D_STACK_DEPTH :: GLenum
gl_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH :: GLenum
gl_PIXEL_TRANSFORM_2D_MATRIX :: GLenum

Functions

glPixelTransformParameteri :: GLenum -> GLenum -> GLint -> IO () | Source

glPixelTransformParameterf :: GLenum -> GLenum -> GLfloat -> IO () | Source

glPixelTransformParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO () | Source

glPixelTransformParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO () | Source

glGetPixelTransformParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO () | Source

glGetPixelTransformParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO () | Source

Tokens

gl_PIXEL_MAG_FILTER :: GLenum | Source

gl_PIXEL_MIN_FILTER :: GLenum | Source

gl_PIXEL_CUBIC_WEIGHT :: GLenum | Source

gl_CUBIC :: GLenum | Source

gl_AVERAGE :: GLenum | Source

gl_PIXEL_TRANSFORM_2D :: GLenum | Source

gl_PIXEL_TRANSFORM_2D_STACK_DEPTH :: GLenum | Source

gl_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH :: GLenum | Source

gl_PIXEL_TRANSFORM_2D_MATRIX :: GLenum | Source

Produced by Haddock version 2.4.2